Libical API Documentation 3.0

Public Member Functions
LibICal::ICalBDBSet Class Reference

## Public Member Functions
| ICalBDBSet (const ICalBDBSet &)
| ICalBDBSet (const std::string &path, int flags)
icalerrorenum | add_component (VComponent *child)
void | clear ()
int | count_components (icalcomponent_kind kind)
VComponent * | fetch (std::string &uid)
VComponent * | fetch_match (icalcomponent *c)
void | free ()
VComponent * | get_component ()
VComponent * | get_current_component ()
VComponent * | get_first_component ()
VComponent * | get_next_component ()
int | has_uid (std::string &uid)
ICalBDBSet | operator= (const ICalBDBSet &)
std::string | path ()
icalerrorenum | remove_component (VComponent *child)
icalerrorenum | select (icalgauge *gauge)

The documentation for this class was generated from the following file:

- icalbdbset_cxx.h